Ubuntu

Pulseaudio fails to initialize ICE1712 chipsets

Reported by Florian Zeitz on 2007-12-24
612
This bug affects 91 people
Affects Status Importance Assigned to Milestone
alsa-lib (Ubuntu)
Undecided
Unassigned
Declined for Karmic by Daniel T Chen
Lucid
Undecided
Unassigned
pulseaudio (Ubuntu)
Low
Unassigned
Declined for Karmic by Daniel T Chen
Lucid
Low
Daniel T Chen

Bug Description

Binary package hint: pulseaudio

I have a problem that makes pulseaudio unusable for me.
I noticed the only device listed by pulseaudio is my webcam (as an input device obviously), so I tried starting pulseaudio from the command line to see what was happening.
This resulted in:
"ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find definition 'cards.ICE1712.pcm.surround71.0:CARD=0'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM surround71:0
W: alsa-util.c: Device hw:0 doesn't support 2 channels, changed to 10.
W: alsa-util.c: Device hw:0 doesn't support sample format s16le, changed to s32le.
W: alsa-util.c: Cannot find fallback mixer control "PCM".
E: module-alsa-sink.c: Failed to create sink object
E: module.c: Failed to load module "module-alsa-sink" (argument: "device_id=0 sink_name=alsa_output.pci_1412_1712_sound_card_0_alsa_playback_0"): initialization failed.ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find definition 'cards.ICE1712.pcm.surround71.0:CARD=0'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM surround71:0
W: alsa-util.c: Device hw:0 doesn't support 2 channels, changed to 12.
W: alsa-util.c: Device hw:0 doesn't support sample format s16le, changed to s32le.
W: alsa-util.c: Cannot find fallback mixer control "Mic".
E: module-alsa-source.c: Failed to create source object
E: module.c: Failed to load module "module-alsa-source" (argument: "device_id=0 source_name=alsa_input.pci_1412_1712_sound_card_0_alsa_capture_0"): initialization failed."

This is an up to date Hardy installation.
Soundcard is a M-Audio Audiophile 2496.

Related branches

Daniel T Chen (crimsun) wrote :

Do you have an /etc/asound.conf and/or ~/.asoundrc* ? What does `asoundconf list` return? If you kill pulseaudio and use `aplay /usr/share/sounds/*up.wav`, is it audible or do the above errors appear?

Changed in pulseaudio:
status: New → Incomplete
Florian Zeitz (florian-zeitz) wrote :

I have neither /etc/asound.conf nor ~/.asoundrc*

asoundconf list returns:
Names of available sound cards:
M2496
UART
U0x46d0x8ad

Playing waves through aplay works fine.

Daniel T Chen (crimsun) wrote :

(Note to self: cross-reference also alsa-lib definitions.)

Changed in pulseaudio:
importance: Undecided → Low
status: Incomplete → In Progress
Florian Zeitz (florian-zeitz) wrote :

Sorry to be annoying, but I was wondering if this going to be fixed for hardy or will be "In Progress" 'till hardy+1.
Beta is aproaching and this bug that renders pulseaudio (the default) useless for a good hand full of people ist still there.
I'm sure you have more important bugs to fix, but I'd really suck for me if this would not get in hardy (yes I know it's the old "Your own bugs always seem the most important" thing, my bad).

Tom Kiesel (tom-nonotyet) wrote :

This problem also exists on the M-Audio Delta 410 which uses the same driver and is quite similar (from the computer's perspective) to the Audiophile 2496 I believe.

There isn't a control named "Master" or "PCM" on the Delta 410. The relevant channels are "DAC" and "DAC 1" through "DAC 7" for a total of 8. In order to get stereo volume control, I have to tell Ubuntu to control "DAC" and "DAC 1" together, as they are the left and right audio outputs.

I think that this non-standard naming convention is a part of the trouble in the log below

Here are the errors generated, starting just before things begin to go wrong:

I: alsa-util.c: Successfully attached to mixer 'hw:0'
I: alsa-util.c: Cannot find mixer control "Master".
W: alsa-util.c: Cannot find fallback mixer control "PCM".
E: module-alsa-sink.c: Failed to create sink object
E: module.c: Failed to load module "module-alsa-sink" (argument: "device_id=0 sink_name=alsa_output.pci_1412_1712_sound_card_0_alsa_playback_0"): initialization failed.
I: alsa-util.c: PCM device front:0 refused our hw parameters: Invalid argument
I: alsa-util.c: PCM device surround40:0 refused our hw parameters: Invalid argument
I: alsa-util.c: PCM device surround41:0 refused our hw parameters: Invalid argument
I: alsa-util.c: PCM device surround50:0 refused our hw parameters: Invalid argument
I: alsa-util.c: PCM device surround51:0 refused our hw parameters: Invalid argument
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM surround71:0
I: alsa-util.c: Couldn't open PCM device surround71:0: Invalid argument
W: alsa-util.c: Device hw:0 doesn't support 2 channels, changed to 12.
W: alsa-util.c: Device hw:0 doesn't support sample format s16le, changed to s32le.
I: module-alsa-source.c: Successfully opened device hw:0.
I: module-alsa-source.c: Successfully enabled mmap() mode.
I: alsa-util.c: Successfully attached to mixer 'hw:0'
I: alsa-util.c: Cannot find mixer control "Capture".
W: alsa-util.c: Cannot find fallback mixer control "Mic".
E: module-alsa-source.c: Failed to create source object
E: module.c: Failed to load module "module-alsa-source" (argument: "device_id=0 source_name=alsa_input.pci_1412_1712_sound_card_0_alsa_capture_0"): initialization failed.
I: module-hal-detect.c: Loaded 0 modules.
I: module.c: Loaded "module-hal-detect" (index: #0; argument: "").
I: module.c: Loaded "module-esound-protocol-unix" (index: #1; argument: "").
I: protocol-native.c: loading cookie from disk.
I: module.c: Loaded "module-native-protocol-unix" (index: #2; argument: "").
I: module-volume-restore.c: starting with empty ruleset.
I: module.c: Loaded "module-volume-restore" (index: #3; argument: "").
I: module.c: Loaded "module-default-device-restore" (index: #4; argument: "").
I: module.c: Loaded "module-rescue-streams" (index: #5; argument: "").
I: module.c: Loaded "module-suspend-on-idle" (index: #6; argument: "").
I: module.c: Loaded "module-gconf" (index: #7; argument: "").
I: main.c: Daemon startup complete.

Tom Kiesel (tom-nonotyet) wrote :

Ugly work around for an maudio Delta 44 here:

https://tango.0pointer.de/pipermail/pulseaudio-discuss/2008-January/001240.html

Basically having to manually etch a static config into a config file in /etc

Florian Zeitz (florian-zeitz) wrote :

That workaround works for me too, but I don't really get why it fails in the first place. Everything that is given in the static configuration is already used as a fallback by the auto-detection according to the warnings displayed.
Just to be a bit more sepcific, this two lines in /etc/pulse/default.pa (and commenting auto-detection) work for me:
load-module module-alsa-sink sink_name=M2496_out device=hw:M2496 format=s32le channels=10 channel_map=left,right,aux0,aux1,aux2,aux3,aux4,aux5,aux6,aux7
load-module module-alsa-source source_name=M2496_in device=hw:M2496 format=s32le channels=12 channel_map=left,right,aux0,aux1,aux2,aux3,aux4,aux5,aux6,aux7,aux8,aux9

For what it's worth mixer channels are still not found with this configuration. I wonder if this makes a difference or if pulseaudio is always doing software mixing. If it makes a difference pulseaudio should really make it possible to specify how the channels are called on your soundcard.

Laurent Moussault (drakmaniso) wrote :

Same problem with a M-Audio Delta 44 (same alsa driver ice1712).

The workaround above works, with "device=hw:M44".

From what I read in the link posted above, the problem seems to be that there is no default channel map (i.e. knowing which channel is left and which is right) for 10 channels cards, and that the driver (or may be the card) refuse to open for just 2 channels.

IMHO the bug importance is more than "low", since the ice1712 based cards are quite common among "music-oriented" linux users (these are affordable high-quality cards, supported by alsa for a long time).

Tom Kiesel (tom-nonotyet) wrote :

I'd hoped that fixing <a href="https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/211592">Bug 211592</a> today meant that all was well and this bug would be fixed. Alas, this bug remains for my ice1712 based card.

The workaround posted here remains the only way to have working Pulseaudio. (that I know of)

Ilmari J. (tohtorijep) wrote :

I'm surprised that this bug's importance is rated so low.
I don't know about you but this bug gets my computer so stuck that I have
to reboot from powerbutton once in a while if I try to watch some videos or listen
to music.

I am using pulseaudio 0.9.10 on 64-bit Ubuntu 8.04 with kernel 2.6.24-16-rt.

(A month ago I was using 8.04-beta but I had to return to 7.10 because the bug
was so dominant. Yesterday I installed the stable and the bug still exists)

The thing is, the bug is very nasty for those who are using this (popular) soundcard.
I hope I could help you more with this...

fstafforini (fstafforini) wrote :

The link for the workaround is dead. Does someone remember what it was? Thanks.

I added this to /etc/pulse/default.pa and it works for me (I didn't
comment out any lines like the original workaround said).

# Workaround for MAudio Audiophile
# https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/178442/comments/7
load-module module-alsa-sink sink_name=M2496_out device=hw:M2496
format=s32le channels=10
channel_map=left,right,aux0,aux1,aux2,aux3,aux4,aux5,aux6,aux7
load-module module-alsa-source source_name=M2496_in device=hw:M2496
format=s32le channels=12
channel_map=left,right,aux0,aux1,aux2,aux3,aux4,aux5,aux6,aux7,aux8,aux9

On Mon, May 5, 2008 at 8:49 PM, fstafforini <email address hidden> wrote:
> The link for the workaround is dead. Does someone remember what it was?
> Thanks.
>
> --
> Pulseaudio fails to initialize Audiophile 2496
> https://bugs.launchpad.net/bugs/178442
> You received this bug notification because you are a direct subscriber
> of the bug.
>

This really is an annoying bug, I have to kill pulseaudio every time I start up my system to get sound working and I couldn't get the fix working for me... I bet I'm not the only one using m-audio 2496, so I'm as well surprised with the low priority of this bug... Well ok, not many people of normal users have this gear, but probably m-audio 2496 is one of the most common audio cards used by computer music hobbyists. We are talking about people who use audio a lot, I guess... Just wanted to point that out, peace.

Stefan Metzger (kosh-unearth) wrote :

I can confirm this bug. After upgrading from Gutsy to Hardy sound output stopped working on my M2496 card due to pulseaudio being used as soundserver. This is quite annoying. I have to kill pulseaudio every time I log in to be able to use the soundcard. In fairness, I have not tried any of the above mentioned workarounds to get pulseaudio to work together with the Delta soundcard since I am happy with the way it works when pulseaudio is deactivated.

The file /etc/default/pulseaudio suggests to disable ESD in System->Preferences->Sound to prevent pulseaudio from being loaded by GNOME, which works for me but of course disables all system sounds. Still I think this is nicer than having to kill the process after it has been loaded already.

Saelynh (saelynh) wrote :

I have exactly the same problem, the workaround posted here doesn't work for me.

EricD (debois) wrote :

The problem is not isolated to pulseaudio. It can show up in any audio app that expects to be able to control certain audio card settings.

The ICE1712 driver only takes 10 channels of output in s32 format, or nothing. Also the rate locking feature, if turned on, will limit the sample rate to one option.

All in all, you have one exact format that works (and programs that go with the defaults usually find it), and audio specific software usually expects to be able to tinker with those settings.

So, I'd peg this as an ALSA bug. And I think it's been known for about 5 years or so.

So the question is perhaps, is this how a proper driver for the M-Audio 2496 should work? ..and my feeling is..no. The Delta *ASIO* driver manages deal with different numbers of channels. Also, there is the thing with consistency with other cards.

Even if this 10 channel thing is a requirement of the hardware, making the driver zero out the redundant buffers should be kind of easy, I think?

Craig (candrews-integralblue) wrote :

Should someone a file a bug with ALSA and/or the kernel requesting this issue be resolved in the driver?

Tony McKenzie (mckenzie-tony) wrote :

I had to switch completely back to alsa to get my 24/96 working under hardy, I am running intrepid now and my soundcard works flawlessly with pulseaudio, so I'm assuming they fixed this extremely annoying bug; or at least under my system :)

Geoff123 (gsking1) wrote :

I'm also having this problem. Cannot use Hardy or Intrepid sound with the default pulseaudio setup.
Like another bug reported, when I open the sound preferences and change to pulse and click Test, it puts up an error message and locks up until I kill gnome-sound-properties.

This is the console output of the error message:
(gnome-sound-properties:30998): sound-properties-DEBUG: setting theme ubuntu
sound-properties-Message: Error running pipeline 'audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink': Failed to connect stream: Invalid argument [pulsesink.c(634): gst_pulsesink_prepare (): /GstPipeline:pipeline0/GstGConfAudioSink:gconfaudiosink0/GstBin:bin0/GstPulseSink:pulsesink0]

I guess my next steps are to remove pulseaudio and try alsa by itself.

Geoff123 (gsking1) wrote :

I cannot log into a gnome session now that pulseaudio has been removed. I removed pulseaudio related packages and now ubuntu gnome desktop will not load (I got some message at login from gdm or Xinit that gconf could not find /bin/pulseaudio....) I was able to login to KDE4 though.

Sorry, I'm not at that computer now so I cannot give more specific error message. I can post it in the next day or two if I don't figure out how to fix this.

This seems like a pretty serious regression to me. I don't recall ever being blocked out of the desktop due to sound preferences. Would suggest that the priority of this bug be raised.

Windsor Schmidt (winferno) wrote :

The manual module loading <a href="https://tango.0pointer.de/pipermail/pulseaudio-discuss/2008-January/001240.html">work-around</a> mentioned by Tom Kiesel above works for me EXCEPT that I had to change the line where the default sink is selected, as the newline seems to be in the wrong place, separating that line from the next.

I changed:

set-default-sink
delta_out set-default-source delta_in

to:

set-default-sink delta_out
set-default-source delta_in

That fixed my problem and Pulse + my Delta 44 are working fine now. I hope this helps someone.

On Thu, 2008-11-06 at 08:00 +0000, Windsor Schmidt wrote:
> The manual module loading <a href="https://tango.0pointer.de/pipermail
> /pulseaudio-discuss/2008-January/001240.html">work-around</a> mentioned
> by Tom Kiesel above works for me EXCEPT that I had to change the line
> where the default sink is selected, as the newline seems to be in the
> wrong place, separating that line from the next.
>
> I changed:
>
> set-default-sink
> delta_out set-default-source delta_in
>
> to:
>
> set-default-sink delta_out
> set-default-source delta_in
>
> That fixed my problem and Pulse + my Delta 44 are working fine now. I
> hope this helps someone.

These tips allowed me to get my Audiophile 2496 working in Hardy.
Thanks.

Thanks the workaround posted here helped me get my sound card ( H71 [Hoontech STA DSP24 Media 7.1], device 0: ICE1712 multi) to work with pulseaudio too after much stuffing around and hours of googling. I posted my workaround on the forum http://ubuntuforums.org/showpost.php?p=6449370&postcount=989.

Daniel T Chen (crimsun) on 2009-01-05
Changed in pulseaudio:
status: In Progress → Confirmed
Florian Zeitz (florian-zeitz) wrote :

Update: In jaunty pulseaudio can now initialize the card, but sound only comes out of the right speaker. The workaround posted here is therefore still needed.

<silly_rant>This is after over a year after reporting the bug and there are 6 duplicates. I wonder why some people think pulseaudio sucks.</silly_rant>

ubby (kostas-sytske) wrote :

I hope the problem will be solved before the final release of Jaunty.

usr (usrlp) wrote :

Fixed on Ubuntu 9.04.

Changed in pulseaudio (Ubuntu):
status: Confirmed → Fix Released
Florian Zeitz (florian-zeitz) wrote :

I don't know how you got the idea it was fixed.
I never actually tried Jaunty without the workaround but testing Karmic with the default default.pa this bug is still alive and kicking. I really hope this will finally be fixed for Karmic stable.

Changed in pulseaudio (Ubuntu):
status: Fix Released → Confirmed

Hi Florian

I did a clean install of Jaunty around the time of its release, and pulse
just worked with my MAudio 2496. I don't know how to explain it if as you
say the bug is still alive and kicking. It's a while ago now but I'll have a
look in more detail.

Cheers

2009/6/20 Florian Zeitz <email address hidden>

> I don't know how you got the idea it was fixed.
> I never actually tried Jaunty without the workaround but testing Karmic
> with the default default.pa this bug is still alive and kicking. I really
> hope this will finally be fixed for Karmic stable.
>
> ** Changed in: pulseaudio (Ubuntu)
> Status: Fix Released => Confirmed
>
> --
> Pulseaudio fails to initialize Audiophile 2496
> https://bugs.launchpad.net/bugs/178442
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “pulseaudio” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: pulseaudio
>
> I have a problem that makes pulseaudio unusable for me.
> I noticed the only device listed by pulseaudio is my webcam (as an input
> device obviously), so I tried starting pulseaudio from the command line to
> see what was happening.
> This resulted in:
> "ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find definition
> 'cards.ICE1712.pcm.surround71.0:CARD=0'
> ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer
> returned error: No such file or directory
> ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or
> directory
> ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM surround71:0
> W: alsa-util.c: Device hw:0 doesn't support 2 channels, changed to 10.
> W: alsa-util.c: Device hw:0 doesn't support sample format s16le, changed to
> s32le.
> W: alsa-util.c: Cannot find fallback mixer control "PCM".
> E: module-alsa-sink.c: Failed to create sink object
> E: module.c: Failed to load module "module-alsa-sink" (argument:
> "device_id=0
> sink_name=alsa_output.pci_1412_1712_sound_card_0_alsa_playback_0"):
> initialization failed.ALSA lib confmisc.c:1286:(snd_func_refer) Unable to
> find definition 'cards.ICE1712.pcm.surround71.0:CARD=0'
> ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer
> returned error: No such file or directory
> ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or
> directory
> ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM surround71:0
> W: alsa-util.c: Device hw:0 doesn't support 2 channels, changed to 12.
> W: alsa-util.c: Device hw:0 doesn't support sample format s16le, changed to
> s32le.
> W: alsa-util.c: Cannot find fallback mixer control "Mic".
> E: module-alsa-source.c: Failed to create source object
> E: module.c: Failed to load module "module-alsa-source" (argument:
> "device_id=0
> source_name=alsa_input.pci_1412_1712_sound_card_0_alsa_capture_0"):
> initialization failed."
>
> This is an up to date Hardy installation.
> Soundcard is a M-Audio Audiophile 2496.
>

Hi, Florian. You're right, the problem is still alive!
Kubuntu 9.04 doesn't do the bug because this version doesn't install pulseaudio, but when you install totem (for example) pulseaudio is installed, and when your are listening a song with a KDE app, GTK+ apps can't play any audio.

Florian Zeitz (florian-zeitz) wrote :

The reason pulseaudio right now doesn't work with this card is that it expects a front device that has only 2 channels.
A possible fix for this is changing it's definition to:
ICE1712.pcm.front.0 {
        @args [ CARD ]
        @args.CARD {
                type string
        }
        type route
        ttable.0.0 1
        ttable.1.1 1
        slave.pcm {
                type hw
                card $CARD
        }
        slave.format S32_LE
        slave.channels 10
}
in /usr/share/alsa/cards/ICE1712.conf
This is taken from RedHat's and pulseaudio's bugtracker and the alsa list, I can't find the relevant thread/bugs right now though...

Florian Zeitz (florian-zeitz) wrote :

Tada and it's a pulseaduio problem again:
Since tsched="0" has been removed from the default config pulseaudio doesn't work any longer even with the above change. It claims there is no plug:front:0 even though I can play sound through that device using mplayer just fine. Adding back tsched="0" helps (but is not the right solution I guess).

I *really* which this was fixed before karmic. Doing two rather unobvious changes from the default config just to get sound working is pretty annoying...

defce (romanticrecords) wrote :

I can confirm for Jaunty 9.04 this bug is still an issue. I use an maudio 2496 and currently cannot get a stereo sound working, mono only. I am yet to try the workaround but will report back when i have

For those who are running Karmic? Could you please try the test version of pulseaudio 0.9.16? You can fetch the packages from the ubuntu-audio-dev PPA, http://launchpad.net/~ubuntu-audio-dev/+archive

Thanks

The PPA packages are exactly the same. Works as long as front:0 has only 2 channels and tsched="0" is specified.
Otherwise it fails to open any output (the card is detected though).

ianc (ian-criddle) wrote :

I've been following this from upstream:

http://www.pulseaudio.org/ticket/624

Profile configuration isn't yet perfect, but for me it's a major step forward in terms of mapping (I don't have the problem with glitch-free).

summary: - Pulseaudio fails to initialize Audiophile 2496
+ Pulseaudio fails to initialize ICE1712 chipsets
David Favor (davidfavor) wrote :

Answer to comment #33 is no change for this card with these packages installed.

David Favor (davidfavor) wrote :

Related to commend #12.

Both speaker-test -Dplug:front and aplay -Dplug:front $(locate Noise.wav) work with or without comment #33 packages.

Changing /etc/pulse/default.pa per comment #7 fixes output at least.

###fix### #7 https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/178442
load-module module-alsa-sink sink_name=M2496_out device=hw:M2496 format=s32le channels=10 channel_map=left,right,aux0,aux1,aux2,aux3,aux4,aux5,aux6,aux7
load-module module-alsa-source source_name=M2496_in device=hw:M2496 format=s32le channels=12 channel_map=left,right,aux0,aux1,aux2,aux3,aux4,aux5,aux6,aux7,aux8,aux9

###fix### ### Automatically load driver modules depending on the hardware available
###fix### .ifexists module-udev-detect.so
###fix### load-module module-udev-detect
###fix### .else
###fix### ### Alternatively use the static hardware detection module (for systems that
###fix### ### lack udev support)
###fix### load-module module-detect
###fix### .endif

What a nightmare for someone desiring sound to work out of the box.

David Favor (davidfavor) wrote :

HAL Policies no longer seem to work - https://bugs.launchpad.net/ubuntu/+bug/421150

If someone can tell me how to trace/debug pulseaudio startup and HAL policy parsing, I'll try to figure out a HAL Policy for this card as it's the only card out of a dozen I've tried on Ubuntu that works at all.

Also if someone can tell me how to save the default sound level between boots I'd be grateful as Ubuntu seems to always startup at max volume. A great way to destroy speakers & ears.

David Favor (davidfavor) wrote :

Hum... Looks like HAL is now deprecated in Karmic. How confusing to leave a deprecated service running when it does nothing.

Looks like some PolicyKit magic is required. If someone can point me to appropriate info I'll give it a shot.

ianc (ian-criddle) wrote :

David - take a look at the Pulseaudio ticket (#35 above) - it has the udev policy info.

Florian Zeitz (florian-zeitz) wrote :

This is getting really frustrating.
The fix from the upstream Pulseaudio ticket had worked for me to get around this, but with the newest version from the PPA I only get digital outputs again. (needless to say I use the analog ones. So no sound for me again :( )

I think the problem in #42 might be a actually a new bug. I have an m-audio audiophile 2496 and had sound working in jaunty, but now after upgrade to karmic there is only spdif sound output and no analog output.

In the pulse audio volume program I can only chose from digital outputs, the analog outputs just aren't listed.

This might be a new problem in the latest alsa in karmic as removing pulseaudio also results in digital-only output.

@Florian:
For the time being I've installed OSSv4 folowing this guide:
https://help.ubuntu.com/community/OpenSound

This works for me and I have perfect sound now. Even multiple streams work fine just nog esd(but i don't care about that)

Florian Zeitz (florian-zeitz) wrote :

FWIW what I wrote in #30 is what is currently working for me (as in it gives me Analog Output. I have no inputs though.)
The fact this is necessary is AFAICT is caused by a change in pulseaudio, but they blame it on ALSA.

What is described in the bug linked from #35 had worked for me giving me both analog inputs and outputs, this is not true any more. Which may or may not be another bug.
As far as I'm concerned this bug is about getting ICE1712 cards working, whatever the proper fix for that is.

ianc (ian-criddle) wrote :

Florian - the (partial) solution from #35 is still working for me - with the restriction that Pulseaudio updates usually overwrite /lib/udev/rules.d/90-pulseaudio.rules with a plain vanilla version so that I have to re-edit it to get things going again.

In general (looking at the Pulseaudio bug) there seem to be two problems with the solution that are preventing it being merged into PA:
- digital input needs to be sorted out (probably a mapping issue that just needs someone to take the time to test properly)
- the unused channels appear in the channel maps ("Output Devices" tab in PAVC) which is untidy and potentially confusing. This needs ALSA to be fixed apparently

Florian Zeitz (florian-zeitz) wrote :

ianc - You are right. Somehow the line in my 90-pulseaudio.rules got messed up (even though I did carefully put it back everytime pulseaudio was updated).

Any chance we can get that in the packages? As I understand it this makes it at least work a bit (actually all I personally need works), which seems way better then the current state to me.

markus haider (markus.haider) wrote :

I have the same problem, running Karmic Beta with a M-Audio Delta 1010LT

cyrilou (mathsbruyeres) wrote :

Exactly the same problem here on a fresh install daily built yesterday...

Till Hartmann (tillux) wrote :

I can confirm that the solution mentioned in #30 works for karmic beta (but don't forget to raise volume level via alsamixer).
Actually it (/analog input) is not that important to me while using Ubuntu (as my "Desktop" distribution), so I'll stick with ALSA and JACKd on ArchLinux for audio-related tasks (recording, [linux-]sampling etc).
It's still somehow amazing that pulseAudio's integration into Ubuntu it still lacks proper support of ICE1712 chipsets and it's ridiculous that A) they haven't fixed this yet and B) this bug still is rated "low" in importance.

Kaj Ailomaa (zequence) wrote :

I can also confirm that the solution adding:

slave.format S32_LE
        slave.channels 10

...as mentioned above, gave me analog output to both delta-66 and delta-1010 on Ubuntu Karmic RC.

Asmo Koskinen (asmok) wrote :

Ubuntu Karmic RC & update & dist-upgrade

I have Delta 66, I needed fix/solution in #30, too. Please, fix this one permanently.

Best Regards Asmo Koskinen.

muttnik (muttnik-sputnik) wrote :
Download full text (7.3 KiB)

I have found a solution that works to fix the missing Analogs for me. The solution is based on the information provided in PulseAudio ticket #624 here: http://pulseaudio.org/ticket/624 .

My card is the Delta 1010LT. From my understanding of the ICE1712 cards they are all the same internally, just the input/output connectors are different from card to card. I am running Ubuntu Karmic-rc so my installed versions of pulseaudio, udev, alsa, etc... are compatible with the fix described in PA ticket #624.

Here is a summary of what I learned from #624:
The ICE1712 card is properly recognized by alsa, its configuration is in "/usr/share/alsa/cards/ICE1712.conf". This file is basically a default asound.conf for the card shipped with alsa.

When pulseaudio is started it attempts to create profiles for the card each of which specifies how the card's inputs and outputs will be mapped. Unfortunately pulseaudio is not currently able to auto-generate any profiles that support use of the card's analog inputs and outputs. To fix this, the auto-generation of the profiles must be replaced for this card with some static profile definitions. Two modifications need to be made to accomplish this: 1) addition of a udev rule to match the ICE1712 card; 2) a static ICE1712 profile definitions file

1) Create the new udev rule in "/lib/udev/rules.d/90-pulseaudio.rules". Here is the rule I added to the file to detect my 1010LT:
SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

The above rule is generic enough to match any pci card with the ICE1712 chipset. It defines a value for "PULSE_PROFILE_SET" that contains the name of the static profile definition to use with the card.

2) Create the static profile definition file "/usr/share/pulseaudio/alsa-mixer/profile-sets/via-ice1712.conf". I initially copied the file exactly from ticket #624 attachments. However I later made two modifications to the file for my own purposes to allow separate simultaneous use of each of the 1010LT's analog outputs and to map inputs 3&4 to front-left and front-right. My mods can be seen in the sections entitled "[Mapping analog-mch-in]" and "[Mapping analog-mch-out]".

#### Begin via-ice1712.conf ####
# This file is part of PulseAudio.
#
# PulseAudio is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
#
# PulseAudio is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with PulseAudio; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

; Via ICE1712 multi-channel audio chipset
;
; This chipset has up to four stereo pairs of input and four stereo pairs of
; output, named channels 1 to 8. Also available are separate S/PDIF...

Read more...

muttnik (muttnik-sputnik) wrote :

Guess I should have simply attached my via-ice1712.conf file. Word-wrap wreaked havoc on it in my previous post.

Paulo Wageck (drpaulo) wrote :

muttnik,

didn't work for me.... Koala 9.10 64bit M-audio delta 44....

any new ideas?

ianc (ian-criddle) wrote :

Paulo - in /lib/udev/rules.d/90-pulseaudio.rules try:

SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0xd633", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

rather than the string above.

ianc (ian-criddle) wrote :

er - and when that doesn't work (as it probably won't) you could try:

SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x1412", ATTRS{subsystem_device}=="0xd630", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

The trick is to correctly identify the parameters to match your specific card.

JoeP (jplan) wrote :

Almost, ianc.

That didn't work on my system (Ubuntu 9.10, 32bit , Delta44). I ran $ lspci -vvnnd1412: and noticed that the subsystem_device code for my Delta 44 should be 0xd633 instead of 0xd630. Once I made that change, it worked perfectly. As you said, the trick is identifying the correct parameters.

I used a slight variation of muttnik's advice about adding the rule to /lib/udev/rules.d/90-pulseaudio.rules. There's a README in that directory that says that local rules should go in /etc/udev/rules.d so they don't get overwritten on system updates. So I copied /lib/udev/rules.d/90-pulseaudio.rules to /etc/udev/rules.d/pulseaudio.rules and added the rule there. According to the docs, rule files without a leading number in the filename are read last.

Thanks to muttnik and you for your posts here. My Koala now has a voice.

--
JoeP

ianc (ian-criddle) wrote :

Ah - so much for google this time! My card's a M2496 so I couldn't check directly.

Thanks for the /etc/udev/rules.d tip - the file does get overwritten when it's in the the other folder.

Trystan (trystan-trystan) wrote :

Many thanks. Also worked for my M-Audio Delta 410. For some reason, pulseaudio worked with this card without such finagling under 9.04 but broke on the 9.10 upgrade.

jpka (jopka) wrote :

I confirm it, but especially confirm bug #447092 which show exactly my problem (works in 9.04, but not gives analog outputs in list under 9.10, so no sound). My card is Dmx6fire 24/96. Thanks

ubby (kostas-sytske) wrote :

I also have a Dmx6fire 24/96 soundcard and the same problem.
I don't understand why this bug is still not solved because now there are many people who have no sound in Ubuntu 9.10.

paul (pauljrobins) wrote :

My M-Audio Delta 2496 was working ok with 9.04 but now after an upgrade to 9.10 I get no sound. I've tried some of the proposed fixes above, but so far no luck. I'm unclear about which ones are needed to get this working for the 2496 and 9.10 (some of the above links are quite old).

For info: after upgrading to 9.10 I was still getting sound out of Audacity, I assume because it was using it's own harware config from pre ugrade, so, the card works, however I had no sound in any other application. After numerous attempts to reconfigure I now get no sound anywhere :(

Can anyone help?

pablomme (pablomme) wrote :

@paul: according to http://ubuntuforums.org/showthread.php?t=1268856 your card's subsystem device id is 0xd634, so you need to:

- Make sure you entirely remove any leftovers from previous attempts to fix the problem.

- Create a file /etc/udev/rules.d/ice1712-pulseaudio-workaround.rules with the following contents:

---
SUBSYSTEM!="sound", GOTO="ice1712_end"
ACTION!="change", GOTO="ice1712_end"
KERNEL!="card*", GOTO="ice1712_end"

SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x1412", ATTRS{subsystem_device}=="0xd634", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

LABEL="ice1712_end"
---

- Create a file /usr/share/pulseaudio/alsa-mixer/profile-sets/via-ice1712.conf whose contents should be those of http://launchpadlibrarian.net/34620379/via-ice1712.conf, or those of the second "code" block in http://ubuntuforums.org/showpost.php?p=7965283&postcount=4.

- I think you should be able to run "pulseaudio --kill && pulseaudio --start" and have it working on the spot, but if not, try rebooting.

Peter Rowe (rowe-p-a) wrote :

Paul, the following resurrected my M-Audio 2496 after ugrading to Karmic. Much gratitude to muttnik and JoeP!

1. I edited /lib/udev/rules.d/90-pulseaudio.rules by adding this line for the M2496.

SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x1412", ATTRS{subsystem_device}=="0xd634", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

Then saved as /etc/udev/rules.d/pulseaudio.rules

2. I saved via-ice1712.conf from #53 to /usr/share/pulseaudio/alsa-mixer/profile-sets/

Works for me.

Asmo Koskinen (asmok) wrote :

@Paul.

I have M-Audio Delta 66. I needed this one, only.

https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/178442/comments/30

This fix - just two lines added in that '/usr/share/alsa/cards/ICE1712.conf' file - works for me in Ubuntu (Studio) Karmic AMD64. No need for purge PulseAudio or something or touch udev rules. Just those two lines made my day.

slave.format S32_LE
slave.channels 10

Best Regards Asmo Koskinen.

paul (pauljrobins) wrote :

Many thanks for the very quick responses - I tried each of the three suggestions, sadly for me none of them worked.

pablomme (pablomme) wrote :

@paul: make sure you don't leave changes from one solution when you try another; I had a bit of a problem transitioning between two solutions precisely because of this. Your comment:

>I was still getting sound out of Audacity [...] After numerous attempts to reconfigure I now get no sound anywhere :(

suggests that you've done something which has broken ALSA, so any fiddling with pulseaudio won't help until you undo whatever it is you did there -- most likely you need to remove /etc/asound.conf and/or ~/.asoundrc, and forcing a reinstallation of ALSA and pulseaudio may help to clear things up.

paul (pauljrobins) wrote :

thanks, I'm sure you're right; something is conflicting or is broken, however I don't know what it is. I have neither /etc/asound.conf or ~/.asoundrc

paul (pauljrobins) wrote :

Well, this is very frustrating, this morning with 9.04 everything worked fine and now with 9.10 try as I might I can't get any sound out. I'm obviously missing some vital step but I don't know what it is. I've purged and reinstalled alsa-base and pulseaudio, redone the modifications several times and tried stop/start/reboots etc. Maybe I should go back to 9.04?

As others have said, it seems strange that such a popular soundcard (surely *the* most popular, for musicians) should be so hard to setup in a major distribution. I suppose I'll try another distro :(

Thanks again for trying.

paul (pauljrobins) wrote :

Well it's now working after uprading to Alsa 1.0.21.

I followed the instructions here : http://monespaceperso.org/blog-en/2009/10/29/upgrade-alsa-1-0-21-on-ubuntu-karmic-koala-9-10/

After a reboot it just works, phew!

markus haider (markus.haider) wrote :

I installed the linux-backports-modules-alsa-karmic-generic package (for Alsa 1.0.21), but did not get working sound

markus haider (markus.haider) wrote :

However, I have a working solution:

I inserted the following two lines into /etc/pulse/default.pa
load-module module-alsa-sink sink_name=M1010LT_Analog_Out device=hw:M1010LT channels=10 channel_map=left,right,aux0,aux1,aux2,aux3,aux4,aux5,aux6,aux7
load-module module-alsa-source source_name=M1010LT_Analog_In device=hw:M1010LT channels=12 channel_map=left,right,aux0,aux1,aux2,aux3,aux4,aux5,aux6,aux7,aux8,aux9

and uncommented the module-udev-detect section, but kept "load-module module detect" so that my onboard soundcard is working:
### Automatically load driver modules depending on the hardware available
#.ifexists module-udev-detect.so
#load-module module-udev-detect
#.else
## Alternatively use the static hardware detection module (for systems that
## lack udev support)
load-module module-detect
#.endif

pablomme (pablomme) wrote :

@markus: that's the fix in comment #37 above. There are other solutions, and the one outlined in comment #63 (and earlier ones), replacing "0xd634" with your subdevice IDs (which should be "0xd63b"), should be a cleaner fix.

Comment #63 fixed my M-Audio Audiophile 2496. Thanks!

gfelix (felixgreve) wrote :

Hey thanks #63 fixed my M-Audio Audiophile 2496, too !!!

Jay Bowles (penguinclaw) wrote :

Thanks guys! I found #30 was all i needed to get my M-audio 2496 working. I guess if I discover other issues I will have a go at the cleaner #63 fix.

I will add though that Pulseaudio was working perfectly under Jaunty.... So what happened? I hope this is fixed before the LTS...... And I agree with #49; in these days of multimedia apps why is this bug a low priority?

Blackpixel (mw-fxcalibur) wrote :

@markus haider

It works!!! Finally!!!! I've spent 6 frustrating hours, trying to get my Delta 1010lt to work!
what a relief ... Thank you so much!!!!

Axy_666 (ax) wrote :

Thanks To Muttnik in #52 this workaround has fixed my Audiophile 2496! Hopefully there will be a proper fix at some point.

Ciso (cisoprogressivo) wrote :

I tried solution #63 without any results.
I have a DMX6Fire. Any idea of whan parameters should I change?

ianc (ian-criddle) wrote :

DMX6Fire - subsystem device id could be 0x1138?

(from http://envy24.svobodno.com/)

Ciso (cisoprogressivo) wrote :

Thank you, I tried but it didin't work. Maybe the via-ice1712.conf it's not right for my soundcard.

ianc (ian-criddle) wrote :

What does lspci -nnv tell you about the card?

Ciso (cisoprogressivo) wrote :

This is the output:
01:0a.0 Multimedia audio controller [0401]: VIA Technologies Inc. ICE1712 [Envy24] PCI Multi-Channel I/O Controller [1412:1712] (rev 02)
 Subsystem: TERRATEC Electronic GmbH Device [153b:1138]
 Flags: bus master, medium devsel, latency 64, IRQ 19
 I/O ports at d800 [size=32]
 I/O ports at d480 [size=16]
 I/O ports at d400 [size=16]
 I/O ports at d080 [size=64]
 Capabilities: <access denied>
 Kernel driver in use: ICE1712
 Kernel modules: snd-ice1712

Thank you for your support. If you think it's better, we can move this discussion to the Ubuntu forum or in private.

ianc (ian-criddle) wrote :

OK - for /lib/udev/rules.d/90-pulseaudio.rules you could try:

SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x153b", ATTRS{subsystem_device}=="0x1138", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

Depending on what you've called the file in /usr/share/pulseaudio/alsa-mixer/profile-sets you may need to amend the profile set name.

...if that doesn't work I'm stumped though.

Ciso (cisoprogressivo) wrote :

Thanks to ianc I solved my problem with reply #63 + #84 with Terratec DMX6Fire

Rock_Franky (rock-franky) wrote :

did anyone already get someone the Terratec EWS128 to work ?
It worked fine under 9.04, but since the update there is silence...
I also tried #63 and #84 for I think itś the same chipset, but it didn't work for me.
Does anyone have any advices for how the EWS 128 is making noise again ?
thanks a lot...
Franky

ianc (ian-criddle) wrote :

Franky - even if it's the same chipset the parameters you need may not be the same as in #84. Take a look at the output of "lspci -nnv" - you should be able to confirm that the card does use an ICE1712 chipset and also confirm the parameters. You need to know:
vendor
device
subsystem_vendor
subsystem_device

Substitute the values for your card into the line in #84 and see if that helps.

HannesB (hannesb) wrote :

#63 modified with lspci -nnv fixed the problem for me (Terratec 24/96), THX
one small issue:
after switching to digital output and back to analog, the sound comes from the speakers again, but the volume sliders have no effect, and the hardware device chooser switched to my onboard sound (although its coming from my Terratec and not from the headphones connected to onboard) and if I then switch back to my Terratec, I can control the volume like I should. Audio-Settings are getting somehow out of sync with Pulsaudio, so maybe I'll suggest this for the 100 papercuts:)

markus haider (markus.haider) wrote :

Thanks, #63 works basically fine for me (My card: M-Audio Delta 1010lt). However I do not have multichannel output, I can only use outputs 1 and 2. I would like to use 3 and 4 for my headphones. I tried muttniks fix #53 editing /etc/pulse/default.pa, but pulseaudio fails to start after editing default.pa.

Did anybody experience the same problem? What should I do, to get outputs 3 and 4 working?

ianc (ian-criddle) wrote :

If outputs 1 & 2 are OK then probably all you need to do is modify the "via-ice1712.conf" (or whatever you called it) file. Take a look at the Pulseaudio bug linked-to in #35 - there are files attached there for a multi-output card that you should be able to modify to get yourself up and going.

TonyW (aswalton) wrote :

HannesB could you possibly tell me the deviceID you used as I am trying to get the same card working to no avail?

Many thanks.

Rock_Franky (rock-franky) wrote :

hello Ianc,

lspci prints the following:
08:01.0 Multimedia audio controller [0401]: VIA Technologies Inc. ICE1712 [Envy24] PCI Multi-Channel I/O Controller [1412:1712] (rev 02)
 Subsystem: TERRATEC Electronic GmbH Device [153b:1115]
 Flags: bus master, medium devsel, latency 32, IRQ 17
 I/O ports at ec00 [size=32]
 I/O ports at e880 [size=16]
 I/O ports at e800 [size=16]
 I/O ports at e480 [size=64]
 Capabilities: <access denied>
 Kernel driver in use: ICE1712
 Kernel modules: snd-ice1712

how do I get the information you mentioned ?
thanks a lot
Franky

Rock_Franky (rock-franky) wrote :

yeah, it works !!
got it right !
Thanks a lot Ianc

Thomas Frössman (a00001) wrote :

I don't know if the solution needs more confirmation but with pulseaudio from the PPA and the solution in #52 with ICE1712.conf my DSP24 Value works great too.

tmckellar (tylermckellar) wrote :

I experienced this bug in 8.10 but it I'd not occur in 9.04 on another machine I admin. Both have an M-audio Delta 44. It re-emerged in 9.10 however. Fixes in posts 7 and 30 are the only ones that have worked in my case. I have found that adding the fix in post 30 to other parts of the ICE1712.conf give me all available analog outputs too. The fix in post 7 is the only one that gives me analog inputs however. Seeing as the deltas in both computers are there for recording I can't live without the analog inputs. No other fixes I tried worked. Anybody have any ideas how to get pulse to recognize the analog inputs? I do have it working but would like a permanent solution instead of a workaround as I am sure many others do.

rod singleton (rod40cool) wrote :

I confirm that work-around described in comment #30 works!! The addition of the 2 lines in the appropriate section defined by:-
ICE1712.pcm.front.0 {

in the /usr/share/alsa/cards/ICE1712.conf file as per comment #30 definitely worked after making the change and then rebooting.
For reference - my card details are:-
!!Soundcards recognised by ALSA
!!-----------------------------

 0 [H71 ]: ICE1712 - Hoontech STA DSP24 Media 7.1
                      Hoontech STA DSP24 Media 7.1 at 0xb000, irq 17

!!PCI Soundcards installed in the system
!!--------------------------------------

01:07.0 Multimedia audio controller: VIA Technologies Inc. ICE1712 [Envy24] PCI Multi-Channel I/O Controller (rev 02)

!!Advanced information - PCI Vendor/Device/Susbsystem ID's
!!--------------------------------------------------------

01:07.0 0401: 1412:1712 (rev 02)
 Subsystem: 1416:1712

Deniz (deniz-dezigner) wrote :

David Favor wrote on 2009-08-29: comment #37

 It's work for me ! Thanks !
I have: Linux Mint 8 x64 ; M-Audio Audiophile 2496 ; Pulseaudio ver. 0.9.19

I can confirm this bug still persists in Karmic 64bit with a Delta1010LT. The workaround described in comment #52 along with the file attached on #53 solved my issue. Thanks muttnik for the fix!

Andrew Draskoy (adraskoy) wrote :

Confirmed. The workaround in #52/53 fixes the problem, which still exists in the latest karmic.

Geoff123 (gsking1) wrote :

Confirmed. I had to do this on an install of Lucid Alpha 2+. Used #52/53 also.

Baird Hendrix (baird-hendrix) wrote :

Confirmed, used workaround #52/#53 fixes. Running Karmic 64-bit, fully updated, with a Delta 2496. My stereo thanks you.

Please, please, please, please, please fix this bug in the lucid release at least. It is VERY annoying, and seemingly every minor software change made with this card involved results in no sound, broken config files, much gnashing of teeth, and possible work-related deaths of well-liked and irreplaceable hours. I already have a complicated enough sound rig as is, don't make it more complicated! (Or else I go back to Windows for sound production)

ok I just found that this is the right bug in launchpad for my no sound issue with maudio delta 2496 soundcard. I found help in DebuggingSoundProblems/KarmicCaveats: Alternate channel mappings needed for ICE1712 which led to here. I am hoping that the next LTS version with the rt kernel will have this bug solved and be stable; I am looking forward to finally learning to use linux multimedia production apps-which I had postponned until I got this latest self-built AMD system! I wish we could get more artists to discover linux alternatives, but it will keep them away if there is too much headache and hairpulling!

And headaches I am having. I tried to follow the steps from comment #64 & 52, 53 but still cant get sound working. I hope someone can help me- as there was a 3rd part in #52 but it applies to a diffrent card- so I dont know how to set my channels properly. maudio only has rca anolog stereo in and out and spdif in stereo. Anyone can detail me how to set the channels in "/etc/pulse/default.pa"? I even tried to add:

"> set-default-sink
> delta_out set-default-source delta_in
>
> to:
>
> set-default-sink delta_out
> set-default-source delta_in"

as did Windsor Schmidt, which worked with same card in Hardy, but that created errord in loading alsa drivers in Karmic.

There are too many workarounds I don't know which is the best one at this point-which works!

OK!!! I have sound working finally in VLC & in firefox & I can use ALSA & Gnome Alsa mixer gui, Envy 24 control again but now pulse is flushed! So no MoviePlayer for now. *****Following comment #7 and editing "/etc/pulse/default.pa" seemed to set my sinks/channels/devices right. I will try to reset the "/lib/udev/rules.d/90-pulseaudio.rules" back to how is was orginally (bkup) and remove ice1712.conf from comment #53 from "/usr/share/pulseaudio/alsa-mixer/profile-sets/" and start over-just to see if that gets both ALSA and pulse audio to work! or just sudo aptitude --purge reinstall linux-sound-base etc... & only edit "/etc/pulse/default.pa", as a succesful user did in the forums. I am assuming that the pulse sound server is neccessary for audio production!?

pablomme (pablomme) wrote :

> I am assuming that the pulse sound server is neccessary for audio production!?

No, most likely you want JACK on top of ALSA for audio production, with pulseaudio suspended or disabled. Without pulseaudio, however, many regular desktop applications will require reconfiguration -if they allow it- to work properly. Ideally you want pulseaudio running until you want to run professional audio apps, at which point you suspend pulseaudio to run the JACK daemon (e.g., runinng 'pasuspend qjackctl'; it might be that qjackctl already does this for you).

On a different note, could an Ubuntu developer look at the solutions proposed in this thread and say whether any is an acceptable fix to get into Lucid? And if not, what would a good solution look like? The bug has been upstreamed to both pulseaudio and ALSA, but neither has committed a fix. I think Ubuntu would do well in maintaining a fix while this is resolved, with Lucid being LTS and all.

keeter (kscott) wrote :

My soundcard is also affected by this bug: Hoontech STA DSP24 (ICE1712); lists only a "dummy output" in sound preferences. it worked fine in pre-pulseaudio releases but now the only way i've figured out how to make it work is by disabling pulseaudio entirely and running sound out of jack or directly from ALSA.
thanks!
k

Geoff123 (gsking1) wrote :

I agree with the comment from #105. This is a relatively common card for people that want great sound quality or for audio/midi recording. As for the Maudio Audiophile 24/96, it's was and is a common PCI sound cards sold at music stores for recording. Ever since ubuntu has started using pulseaudio I've been having to mess with this during install. A couple releases ago I just uninstalled pulseaudio, but now these fixes work pretty well. Most recently I used #52/#52.

"On a different note, could an Ubuntu developer look at the solutions proposed in this thread and say whether any is an acceptable fix to get into Lucid? And if not, what would a good solution look like? The bug has been upstreamed to both pulseaudio and ALSA, but neither has committed a fix. I think Ubuntu would do well in maintaining a fix while this is resolved, with Lucid being LTS and all."

Daniel T Chen (crimsun) on 2010-03-03
Changed in alsa-lib (Ubuntu):
status: New → Confirmed

If anyone wants to look at my Question #102783:

"pulse audio fails to start- rt kernel maudio card- attempting this used my 4GIGs memory?!"

Ive tried pretty much all steps as outlined in the different comments and the forum sticky on pulse audio but no luck with pulse.

 So pablomme, I just need to learn to use jack then? "JACK on top of ALSA for audio production, with pulseaudio suspended or disabled" Do I need same setup if I want to intergrate sound in Kino, or Cinerella or other video editors?

Is there a general mulitmedia wiki I forgot or overlooked that can give me the rundown of how I should be setup to start using these kind of programs with the least problems?

Hoping things will smoothe out for Lucid!

Daniel T Chen (crimsun) on 2010-03-05
Changed in alsa-lib (Ubuntu Lucid):
status: Confirmed → Won't Fix
Changed in pulseaudio (Ubuntu Lucid):
status: Confirmed → Won't Fix
Daniel T Chen (crimsun) wrote :

Discussion needs to occur, and changes need to be made, upstream for alsa-lib. Until there's any sort of momentum there, it doesn't look to be fixed for Lucid/10.04, either. The sort of hacks suggested above could be generalized for PCI subvendor, but that's a fragile approach.

Can we confirm that a pristine daily-live desktop image of Lucid /won't/ work after modifying /usr/share/alsa/cards/ICE1712.conf as mentioned in comment #30 is /insufficient/ ? You'll of course need to logout and login after making the change.

pablomme (pablomme) wrote :
Download full text (3.2 KiB)

> Can we confirm that a pristine daily-live desktop image of Lucid
> /won't/ work after modifying /usr/share/alsa/cards/ICE1712.conf as
> mentioned in comment #30 is /insufficient/ ?

I have just installed Lucid from the alpha 3 image, applied all updates and
tested the workarounds:
- The solution given in comment #30 *does* work (this amounts to 2 lines
  added to the alsa/cards file).
- The solution given in comment #63 (#52) *does* work (I am using this one in
  Karmic, so I just copied the files over).

> The sort of hacks suggested above could be generalized for PCI subvendor,
> but that's a fragile approach.

How about fully specifying all subsytem IDs instead? E.g., the following
/etc/udev/rules.d/ice1712-pulseaudio-workaround.rules would work for everyone
subscribed to this bug who has reported success with this approach, and
should not affect any other card:

---
SUBSYSTEM!="sound", GOTO="ice1712_end"
ACTION!="change", GOTO="ice1712_end"
KERNEL!="card*", GOTO="ice1712_end"

# M-Audio Delta 1010 / M-Audio Delta 1010 Rev. E
SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x1412", ATTRS{subsystem_device}=="0xd630", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

# M-Audio Delta 66 / M-Audio Delta 66 Rev. E
SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x1412", ATTRS{subsystem_device}=="0xd632", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

# M-Audio Delta 44
SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x1412", ATTRS{subsystem_device}=="0xd633", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

# M-Audio Audiophile 2496
SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x1412", ATTRS{subsystem_device}=="0xd634", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

# M-Audio Delta 410
SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x1412", ATTRS{subsystem_device}=="0xd638", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

# M-Audio Delta 1010LT
SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x1412", ATTRS{subsystem_device}=="0xd63b", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

# Terratec EWS 88MT
SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x153b", ATTRS{subsystem_device}=="0x1115", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

# Terratec EWX 2496
SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x153b", ATTRS{subsystem_device}=="0x1130", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

# Terratec DMX 6fire
SUBSYSTEMS=="pci", ATTRS{vendor}=="0x1412", ATTRS{device}=="0x1712", ATTRS{subsystem_vendor}=="0x153b", ATTRS{subsystem_device}=="0x1138", ENV{PULSE_PROFILE_SET}="via-ice1712.conf"

LABEL="ice1712_end"
---

Some subdevice IDs and card names are from http://envy24.svobodno.com, as
usefully linked in comment #80. I have tried this version of the file and
 it works. This of course should go with a matching
/usr/share/pulseaudio/alsa-mixer/profile-sets/via-ice1712.conf
as indicated above.

Would this ...

Read more...

Daniel T Chen (crimsun) wrote :

At this point we need to focus on minimizing the amount of code added to any upload (for easier verification), so if the additions from comment #30 suffice by themselves, it makes more sense to use them.

pablomme (pablomme) wrote :

> At this point we need to focus on minimizing the amount of code added to any
> upload (for easier verification), so if the additions from comment #30
> suffice by themselves, it makes more sense to use them.

My reason for preferring tweaking the udev/pulseaudio configuration over tweaking ALSA's is that for professional audio apps (JACK, Ardour, Hydrogen, etc) pulseaudio is irrelevant, and ALSA's default configuration works exactly as it should. In particular, I'm worried about the effects that "slave.format S32_LE" might have on ALSA's full support of the card.

Could someone confirm whether the solution from comment #30 has no adverse effects on ALSA/JACK applications? And on the ability to configure the card via the envy24control ALSA tool?

Geoff123 (gsking1) wrote :

FWIW I agree with pablomme:
"My reason for preferring tweaking the udev/pulseaudio configuration over tweaking ALSA's is that for professional audio apps (JACK, Ardour, Hydrogen, etc) pulseaudio is irrelevant, and ALSA's default configuration works exactly as it should. "

Daniel:
 #30 looks like it was only a partial fix as noted in the comments #44, but maybe it now does completely fix things as reported in #110. This should probably be tested more. Looks like most of the recent fixes above note the use of #52/53/63 method.

In comment #100 I note that #52/#53 works for me. This was over a month ago and it still seems to work great. I used both standard desktop (pulse stuff) and pro audio programs (jackd, qjackctl, ardour, rosegarden, muse) on a daily basis. With the pulsaudio fix all we need to do to run jack aware apps is to run qjackctl, which runs "pasuspender qjackctl"; this works quite well.

ianc (ian-criddle) wrote :

I agree with both the immediately previous comments: whilst I don't use JACK etc. I'd suggest that the risk to other apps from the adoption of the solution from #30 has to be greater than the pure Pulseaudio workaround (#52/53 or whatever you want to call it).

For me that fix has been completely stable for several months & it seems a relatively clean way to plaster over an issue that has been a festering sore since Hardy, at least pending a real fix upstream.

Florian Zeitz (florian-zeitz) wrote :

I haven't really tested this (and it might be worthwhile if someone around his sound card before Tuesday could ;)), but last time I checked the workaround from #30 did only fix /playback/ on this card.
Obviously recording with this card is also a big factor, and speaking for myself I'd even like to record through pulseaudio from time to time. That would probably depend on #52/53.

ianc (ian-criddle) wrote :

I can confirm that #52/53 fixes analog playback/record & also S/PDIF playback: I can't confirm S/PDIF record because I've never put much effort into trying to get it going...

pablomme (pablomme) wrote :

> last time I checked the workaround from #30 did only fix /playback/ on this card.

That's one important piece of information. The fix from comment #30 starts to seem like a bad idea.

> I'd even like to record through pulseaudio from time to time. That would probably depend on #52/53.

I can confirm that the udev/pulseaudio fix allows recording. I can use things like skype without a problem (through the sm58 plugged into the first channel of my 1010LT, which is exactly as inconvenient as it sounds, mic stand and all).

@Daniel: with the recent feedback, how likely are we to be able to get a workaround like the one in comment #110 into Lucid?

Daniel T Chen (crimsun) on 2010-03-07
Changed in pulseaudio (Ubuntu Lucid):
assignee: nobody → Daniel T Chen (crimsun)
status: Won't Fix → Triaged
Guillem (guillemsola) wrote :

Pulseaudio is a pain. My ICE1712 based card worked like a charm prior to pulse, it did more things than with it's windows propietary drivers. With karmic and it's mandatory use of pulse all this joy has gone.

Richard Corner (rcorner) wrote :

I had this problem with the M-Audio Audiophile 24/96. Neither analogue inputs nor outputs were showing up in PulseAudio. What fixed it for me was the patch attached to PulseAudio ticket #624:

http://www.pulseaudio.org/attachment/ticket/624/pulseaudio-add-profile-sets-for-M_Audio-Audiophile-2496.patch

Following the lead of muttnik in comment #52 above, the two files I had to edit were:

/lib/udev/rules.d/90-pulseaudio.rules
/usr/share/pulseaudio/alsa-mixer/profile-sets/m_audio-audiophile-2496.conf

I tried muttnik's customized versions of the patch first, but it did not allow applications to record from my card. The original version from ticket #624 worked, however.

Thanks to muttnik for putting me on the right track.

jpka (jopka) wrote :

Ubuntu 10.04: still not work. (Terratec dmx6fire, still show only digital i / o)

RogerP (rogerpowell59) wrote :

Same as jpka

Ubuntu 10.04 64bit STILL doesn't work. :(

The changes were too invasive (not to mention frowned upon by both upstream
alsa and pulse devs) for 10.04 LTS final, but we can try working around this
in a ppa package.

On Apr 30, 2010 5:03 PM, "RogerP" <email address hidden> wrote:

Same as jpka

Ubuntu 10.04 64bit STILL doesn't work. :(

--
Pulseaudio fails to initialize ICE1712 chipsets
https://bugs.launchpad.net/bugs/178442
You rece...

Richard Corner (rcorner) on 2010-05-01
tags: added: audio driver m-audio pulseaudio sound soundcard
tags: added: terratec
Chris Hutchin (chris-hutchin) wrote :

Disappointed that this bug keeps being assigned as a low priority. Every time that I update to a new version of Ubuntu, I have to spend hours sorting sound out! Guess I'm going to have to find a few hours from somewhere again!

RogerP (rogerpowell59) wrote :

@Daniel: Good that you're working on it or thinking of.

"The changes were too invasive (not to mention frowned upon by both upstream
alsa and pulse devs) for 10.04 LTS final, but we can try working around this
in a ppa package."

Incidentally, I just did a clean install of Mint "Helena" (Karmic 9.04) x64. I uninstalled PulseAudio. Rhythmbox as well as ZynAddSubFX both worked. I rebooted they still worked. Next time I rebooted they're dead. Not done anything else.

That was as before. Very occasionally everything worked. Then it wouldn't.

Dunno of it helps.

Mikko Eley (mikko-eley) wrote :

I have been trying many of the fixes touted for this bug I still can't get audio out of my M-Audio Audiophile 24/96. This Bug affects Lucid and I still can't get sound. I was also unable to get sound working under Debian. Current install is Lucid Xubuntu.

With some tinkering I have an analogue option in the devices list but when selecting output option the only available other than my internal speaker is the digital output, no analogue option is available, as an output or input, even if they are in the device list. Surely there should only be one option in the device list and then in sound input and output the available digital and analogue options should be available.

Before I can listen to podcasts and start ripping my cd's to ogg I need sound output and input to work I would be very keen to see a fix for this asap. This seems to be a long standing bug and needs some attention

Daniel T Chen (crimsun) wrote :

Mikko, we need your hardware info. Please file a separate bug report against
alsa-driver using "ubuntu-bug alsa-base".

On May 25, 2010 6:26 AM, "Mikko Eley" <email address hidden> wrote:

I have been trying many of the fixes touted for this bug I still can't
get audio out of my M-Audio Audiophile 24/96. This Bug affects Lucid and
I still can't get sound. I was also unable to get sound working under
Debian. Current install is Lucid Xubuntu.

With some tinkering I have an analogue option in the devices list but
when selecting output option the only available other than my internal
speaker is the digital output, no analogue option is available, as an
output or input, even if they are in the device list. Surely there
should only be one option in the device list and then in sound input and
output the available digital and analogue options should be available.

Before I can listen to podcasts and start ripping my cd's to ogg I need
sound output and input to work I would be very keen to see a fix for
this asap. This seems to be a long standing bug and needs some attention

--
Pulseaudio fails to initialize ICE1712 chipsets
https://bugs.launchpad.net/bugs/178442
You rece...

xigen (ldap86) wrote :

Florian's suggestion in comment #30 worked for me.

I needed to re-read the comment a couple of times to see that the change pertains to
ICE1712.pcm.front.0 { ...

and not to any of the other aspects of the config file.

As always -- thank you.

#119 made my day. i'm using the 2496 and now the analog inputs/outputs show up. but i had to restart my computer, a simple "pulseaudio --kill" or "sudo /etc/init.d/pulseaudio restart" did not work. Thank You very much!

Daniel T Chen (crimsun) on 2010-06-09
summary: - Pulseaudio fails to initialize ICE1712 chipsets
+ Pulseaudio fails to initialize ICE17xx chipsets

Comment #63 fixed it for me. Running 10.04 64 bit.
I've had no sound in Ubuntu since 9.10. No problems with audio in 9.04. I have an Audiophile 24/96.

Florian Zeitz (florian-zeitz) wrote :

Okay... So I'm pretty angry right now so this might turn out somewhat rantish, but please bear with me:
I just updated to Maverick to see how that's comming along. Well, turns out that this 3 year old bug still persist.
We have had workarounds for this from almost the beginning. A IMHO quite decent fix was known since before luid, but not included due to lack of time for testing. Now maverick is nearing release and I guess if I suggest putting this in know I'll hear that again there is no time for testing.
Am I as an end-user honestly expected to scream at you at the right time to put in fixes eariy in development cycles so they get testing?
To be fair this is about as much upstreams fault. But labeling a bug that has caused me to have problems with sound for THREE YEARS, that has17! duplicates and affects 39+ people as low urgency...

Geoff123 (gsking1) wrote :

@Florian - I agree with you (although I'm not use Maverick - currently on Fedora13 ). Can this please get some attention from the Ubuntu/Debian devs.. This card/chip is probably more common that you think. I imagine the silent majority of people that wanted to give Ubuntu a try but couldn't get their nice audio hardware working so gave up and went back to Windows... Although this workaround has worked for me, it is too complicated for the average computer user.

I agree. I was unable to use any of then workarounds posted so far. This
sort of soundcard is universally popular with musicians and the fact
that it doesn't work will significantly impact the uptake of
ubuntustudio. It is frustrating that the solution seems to be known but
is not being implemented.

On Mon, 2010-08-30 at 13:25 +0000, Geoff123 wrote:
> @Florian - I agree with you (although I'm not use Maverick - currently
> on Fedora13 ). Can this please get some attention from the
> Ubuntu/Debian devs.. This card/chip is probably more common that you
> think. I imagine the silent majority of people that wanted to give
> Ubuntu a try but couldn't get their nice audio hardware working so gave
> up and went back to Windows... Although this workaround has worked for
> me, it is too complicated for the average computer user.
>

+1

I simply can't use Ubuntu as long as this bug remains. Some pointers as to what to look for in the source code might help if someone had a bit of time to move the problem forwards a bit. I had a look myself but would need a couple of weeks at least, which I don't have. Simpler to stay with Windows for me.

Leif (hieronymus-machine) wrote :

I just wanted to put in my two cents. I bought a computer specifically to use ubuntu studio on with a ICE17XX chipset card, and am amazed that this problem wasn't given high priority. Deciding that these cards are not used by many people is like saying that - "oh well, it only affects people who wear jeans". I am very disappointed, and hope that I will not end up waiting more than a year to be able to use my computer.

Asmo Koskinen (asmok) wrote :

I have tested 10.10 Beta i686 (updated & dist-upgraded). With fix #30 I can use Delta 66 and Alessio's latest kernel, jackd and Ardour, so far so good. Not perfect solution, but Delta 66 works again. I use for daily use Ubuntu Studio 9.10 x86_64, Delta 66 works with fix #30. 10.04 missed this one.

asmok@ubuntu:~$ uname -a
Linux ubuntu 2.6.35-20-lowlatency #29-Ubuntu SMP PREEMPT Mon Sep 6 09:50:08 UTC 2010 i686 GNU/Linux

asmok@ubuntu:~$ lspci | grep audio
07:01.0 Multimedia audio controller: VIA Technologies Inc. ICE1712 [Envy24] PCI Multi-Channel I/O Controller (rev 02)

Best Regards Asmo Koskinen.

nickp (pnick) wrote :

Comment #119 works for me, thanks.

I'm using an M-Audio Audiophile 24/96 on ubuntu-10.04.1-desktop-amd64.

Stoo (stoonoon) wrote :

Any chance of an idiot's guide for how to apply this patch?

I've just put ubuntu 10.04 i686 desktop on my computer and need to get my m-audio audiophile 2496 working via the analogue in/outputs. System / Prefs / Sound shows the ICE1712 controller, but only lists the Digital IEC958 options in the profile chooser.

I've downloaded the .patch file mentioned from the PulseAudio ticket but am a bit baffled as to what exactly to do with it, even after a fair bit of googling. I'm fairly new to linux, but not afraid to have a go.... but I'm struggling a bit here.

First, I tried running:

stoo@stoo-ubu:~/Downloads$ patch < pulseaudio-add-profile-sets-for-M_Audio-Audiophile-2496.patch
patching file 90-pulseaudio.rules
Hunk #1 FAILED at 25.
1 out of 1 hunk FAILED -- saving rejects to file 90-pulseaudio.rules.rej
patching file m_audio-audiophile-2496.conf

which dumped 3 files in my Downloads folder

Next I tried:

root@stoo-ubu:/lib/udev/rules.d# patch < /home/stoo/Downloads/pulseaudio-add-profile-sets-for-M_Audio-Audiophile-2496.patch
patching file 90-pulseaudio.rules
Hunk #1 FAILED at 25.
1 out of 1 hunk FAILED -- saving rejects to file 90-pulseaudio.rules.rej
patching file m_audio-audiophile-2496.conf

I appreciate I've probably done something monumentally stupid, but I'd really appreciate it if someone could guide me in the right direction a bit.

Cheers, stoo

Chris Hutchin (chris-hutchin) wrote :

After a fresh install of Ubuntustudio, I tried out the bugfixes, but didn't obtain satisfactory results. My current solution is to use 64Studio, which is based on Hardy and doesn't include the dreaded Pulseaudio which is the cause of these problems. This isn't a particularly satisfactory solution, as it means that the associated sound applications are a bit long in the tooth, but at least I get sound!

WeatherGod (ben-v-root) wrote :

Has anyone tried to see if their ICE1712-based sound cards work on the Maverick Meerkat Beta? I don't have a digital in/out sound card, but I have personally found that Pulseaudio has greatly improved over the last few releases, and I was curious if this issue has been resolved for 10.10.

@stoo, I haven't looked at the patch, and without having one of these cards, it would be hard for me to be sure if one is doing it right. If I find time, I will give it a shot to write up a quick guide, but I would highly recommend somebody else more knowledgeable to do so.

Stoo (stoonoon) wrote :

Thanks for the offer, WeatherGod. I'm making progress - not quite there yet though!

Today I started off by ignoring the patch for a bit and trying the suggestion in #30 - analog sound output works, but no analog input. I need both working, so undid the changes and went back to trying to work out how to get the ianc patch working.

The most promising post looked like #119, which I followed except for first copying /lib/udev/rules.d/90-pulseaudio.rules to /etc/udev/rules.d/pulseaudio.rules (as per #57)

Now under Sound Preferences' Hardware tab, there are options for "Analog Stereo Output" or "Analog Stereo Input/Output, Digital Stereo Output" profiles. On the Input tab, I can see the level meter flickering up and down in time to the music...... but now I can't get any sound output!

I did try re-applying the #30 changes, but that didn't make any difference.

nickp (pnick) wrote :

Stoo: Here's some quick instructions on getting #119 working on Audiophile 24/96, hope it helps.

cd /tmp
wget http://www.pulseaudio.org/raw-attachment/ticket/624/pulseaudio-add-profile-sets-for-M_Audio-Audiophile-2496.patch
patch -i pulseaudio-add-profile-sets-for-M_Audio-Audiophile-2496.patch
sudo mv m_audio-audiophile-2496.conf /usr/share/pulseaudio/alsa-mixer/profile-sets/
wget http://peskett.co.uk/ubuntu_maudio/90-pulseaudio.rules.patch
patch --dry-run -d / -p 1 -i tmp/90-pulseaudio.rules.patch
sudo patch -d / -p 1 -i tmp/90-pulseaudio.rules.patch
reboot

After this it might help to install the Envy 24 Control and check PCM isn't muted;

sudo apt-get install alsa-tools-gui

Applications -> Sound & Video -> Envy 24 Control
    Monitor PCMs:
        PCM Out 1 -> Left: 0, Right: 96, Toggle Left Mute
        PCM Out 2 -> Left: 96, Right: 0, Toggle Right Mute
    Patchbay & Router: set all to digital mix

Stoo (stoonoon) wrote :

OK - looks like the trouble I was having was due to using the m_audio-audiophile-2496.conf file (which was extracted from pulseaudio-add-profile-sets-for-M_Audio-Audiophile-2496.patch from pulseaudio ticket #624 attachments) thinking it would be a better match for my card than the more generic via-ice1712.conf

Once I'd put everything back to normal, #52 and #57 worked for me.

jmaasing (johan-zoom) wrote :

This has been a problem since pulseaudio was introduced. I did a fresh install of 10.04 Lucid and the same bug is still there.
Personally I solve it by removing pulseaudio but I tried the suggestion in #30 first and it worked for output.

tags: added: patch
Richard Corner (rcorner) wrote :

Still a problem in Ubuntu version 10.10. I had to re-edit the files I mentioned in comment #119 to get the sound working after an upgrade from 10.04.

Richard Rath (rcrath) wrote :

I was having this problem in 10.04 and 10.10 with a maudio omni IO delta 66 card, but as of about a week ago, pulseaudio began to work with the card with no action taken by me on a clean install of 10.10. I was trying to figure out which of the fixes in the comments would work but had not gotten around to trying any yet. I just rebooted after an update one day, and there was pulseaudio on my ICE1712.

I can confirm that I'm still getting this on upgrade to 10.10 today (and that manually modifying /etc/pulse/default.pa as suggested in this thread still works OK for me - at least for output - I've not tested input yet). I just wondered if there was a chance of upping the priority of this one though? I obviously realise you folks can't do everything at once but it's been a minor but repeated frustration for a number of releases and seems a shame to leave outstanding when you've got most other stuff so well sorted out of the box.

I confirm this too on ubuntu maverick. I can live with the default.pa
modified but the problem is worse: I use 2 sound cards the onboard one
and the PCI ICE17xx chipset and their order is not stable. Sometimes it
boots with the onboard one being hw:1 other time hw:0 so I have to
always modify and restart pulseaudio according to the hw detection...
this is really annoying, the worst is that it really worked fine 2 years
ago...

On 10/28/2010 07:31 PM, John Patrick wrote:
> I can confirm that I'm still getting this on upgrade to 10.10 today (and
> that manually modifying /etc/pulse/default.pa as suggested in this
> thread still works OK for me - at least for output - I've not tested
> input yet). I just wondered if there was a chance of upping the priority
> of this one though? I obviously realise you folks can't do everything at
> once but it's been a minor but repeated frustration for a number of
> releases and seems a shame to leave outstanding when you've got most
> other stuff so well sorted out of the box.
>

Daniel T Chen (crimsun) wrote :

@John Patrick Both upstream pulseaudio and alsa developers agree that
a proper resolution to this symptom lies in alsa-lib, not in
pulseaudio. We (i.e., Ubuntu audio developers) are blocked on an
agreement upstream regarding how to address both playback and capture
for the "front" (and possibly other) virtual device definition. In
previous releases we have been flamed for not taking the preferred
upstream approach(es), so we're doing our best to stick as close as
possible to what they recommend. We understand that this introduces a
suboptimal end-user experience, and we are working to resolve it so
that as many people as possible are in agreement. Thanks for your
patience.

@dimovnike Remember that you should use the human-friendly string(s)
and not the index number(s), e.g., I would use hw:Intel and not hw:0
(or hw:1). (This approach has been recommended by upstream alsa
developers.) See the name(s) in brackets from /proc/asound/cards.
For the vast majority of people, this method is foolproof (the corner
cases are when people have multiple identical cards).

In comment 145 I reported that the problem had mysterious gotten fixed without me doing anything after a regular update. Now just as mysteriously, it has stopped working again. Desired behaviour: pulseaudio works on boot, jack works when loaded. Actual current behavior: PA does not work, though meters in PA manager show activity when a file is played using a PA app, mplayer, or aplay. Envy mixer app shows no activity. Once I have tried to play something this way, jack will no longer work, though if I start jack on boot, jack enabled apps (audacious, audacity, etc) playback fine. if I turn jack off and try a pulseaudio app, I get the previous behavior, and jack then no longer works. It starts, but no sound comes out, or else starting the jack server results in a hardware busy signal and failure to start. reboot, repeat.

I also filed a comment on bug 3327 at Alsa-project, as per Daniel's comment 148: https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3327

Download full text (4.0 KiB)

Did you see: Configuring default soundcards / stopping soundcards from
switching
https://help.ubuntu.com/community/SoundTroubleshooting#Configuring%20default%20soundcards%20/%20stopping%20soundcards%20from%20switching
I hope help.
Marcelo
=======================================================

2010/11/8 Richard Rath <email address hidden>

> In comment 145 I reported that the problem had mysterious gotten fixed
> without me doing anything after a regular update. Now just as
> mysteriously, it has stopped working again. Desired behaviour:
> pulseaudio works on boot, jack works when loaded. Actual current
> behavior: PA does not work, though meters in PA manager show activity
> when a file is played using a PA app, mplayer, or aplay. Envy mixer app
> shows no activity. Once I have tried to play something this way, jack
> will no longer work, though if I start jack on boot, jack enabled apps
> (audacious, audacity, etc) playback fine. if I turn jack off and try a
> pulseaudio app, I get the previous behavior, and jack then no longer
> works. It starts, but no sound comes out, or else starting the jack
> server results in a hardware busy signal and failure to start. reboot,
> repeat.
>
> I also filed a comment on bug 3327 at Alsa-project, as per Daniel's
> comment 148: https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3327
>
> ** Bug watch added: ALSA Bug Tracker #3327
> https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3327
>
> --
> Pulseaudio fails to initialize ICE17xx chipsets
> https://bugs.launchpad.net/bugs/178442
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (670182).
>
> Status in “alsa-lib” package in Ubuntu: Confirmed
> Status in “pulseaudio” package in Ubuntu: Confirmed
> Status in “alsa-lib” source package in Lucid: Won't Fix
> Status in “pulseaudio” source package in Lucid: Triaged
>
> Bug description:
> Binary package hint: pulseaudio
>
> I have a problem that makes pulseaudio unusable for me.
> I noticed the only device listed by pulseaudio is my webcam (as an input
> device obviously), so I tried starting pulseaudio from the command line to
> see what was happening.
> This resulted in:
> "ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find definition
> 'cards.ICE1712.pcm.surround71.0:CARD=0'
> ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer
> returned error: No such file or directory
> ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or
> directory
> ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM surround71:0
> W: alsa-util.c: Device hw:0 doesn't support 2 channels, changed to 10.
> W: alsa-util.c: Device hw:0 doesn't support sample format s16le, changed to
> s32le.
> W: alsa-util.c: Cannot find fallback mixer control "PCM".
> E: module-alsa-sink.c: Failed to create sink object
> E: module.c: Failed to load module "module-alsa-sink" (argument:
> "device_id=0
> sink_name=alsa_output.pci_1412_1712_sound_card_0_alsa_playback_0"):
> initialization failed.ALSA lib confmisc.c:1286:(snd_func_refer) Unable to
> find definition 'cards.ICE1712.pcm.surround71.0:CARD=0'
> ALSA lib conf.c:3510:(_snd_config_evalua...

Read more...

64-bit PC (AMD64) alternate install CD - I do have M-Audio Delta 66.

http://cdimage.ubuntu.com/daily/20101108/

I needed fix #30.

Best Regards Asmo Koskinen.

Richard Rath (rcrath) wrote :

Thanks Marcello, I'm pretty familiar with that page! I have the onboard soundcard disabled in bios, so switching is not a problem (yet...I still have a presonus firepod to hook up). The fix in comment seven appears to have worked for me too, with the appropriate sound card code substituted.

rod singleton (rod40cool) wrote :

Well for some reason my pulseaudio sound just stopped a couple of days ago. Not sure why it stopped, so I revisited my old post (#96) to get my workaround for my (ICE1712 - Hoontech STA DSP24 Media 7.1) card working again under Maverick but the alsa mod didn't work. So I read further and a couple of posts caught my attention.

I now have to agree with #112 and #113 in tweaking pulseaudio rather than alsa. Using Jack and apps like Hydrogen, Rosegarden all work fine with my card as Jack is not using pulse.

So, I tried the solution at #52 as suggested but used the via-ice1712.conf direct from PulseAudio ticket #624 here: http://pulseaudio.org/ticket/624 (rather than the one at #53) and rebooted and now confirm that pulse is working even better than using the previous ALSA mod for me. I now have additional outputs to select in sound preferences and there are now sliders to control 'balance', 'fader', and 'subwoofer' which were never there before.

Richard Rath (rcrath) wrote :

Tried solution from # 53 instead of # 7 and sound fails on resume from sleep. PA meters show the sound as going through, but no sound comes out the speakers, and when I try to start jack, it fails to connect as well. reboot fixes it until next sleep.going back to fix in #7 (edit default.pa instead of /lib/udev/rules.d/90-pulseaudio.rules to see if that wakes up any better.

blackvd (jeremyrutledge) wrote :

I followed the fix on #30 which gives me audio out using a m-audio 24/96. The problem I am having now is crackling and slight skipping during playing back. However if I use aplay it plays fine. Has anyone else experienced and/or figured a way around this? Or how can I use alsa for playback as default as it plays fine with aplay?

HippieDave (dalden) wrote :

I can't believe this issue is still out there.

I had to revert back to Jaunty because this issue could not be worked around in Koala. I've now upgraded to Lynx (10.4) because I thought a fix had been found. But I still get zero sound.

aplay -l lists Maudio 2496 as only sound card. I've disabled the onboard sound in BIOS

I've added "options snd-ice1712 model=audiophile" to the alsa-base.conf file

When I go to alsamixer, I have a full array of choices, all of which look "on", but I have no clue really how to set things in alsamixer, or in sound preferences for that matter. The Maudio2496 is recognized everywhere I look, but I get no sound.

I've tested it by booting into windows, and get full sound capability over the same card. I note that people refer to the "fix on #30" but if that refers to the 30th posting here, I do not understand it sufficiently to implement it.

HippieDave (dalden) wrote :

OK, I finally figured out how to implement workaround suggested in comment 7 above, and so far that seems to work, although I had to play around a lot with Alsamixer first. When I first implemented the work around I had playback sound out of one channel only. Went into Alsamixer and set all channels to on at a moderate level. Turned out I had to set the H/W and H/W1 channels to "PCM Out" before I had complete sound.

So now the sound works, but the Sound Preferences button and function under Systems appears to be disabled. Is this endemic to this workaround?

nmsrnm1 (nmsrnm1) wrote :

I can't use my M-Audio Delta Audiophile 24/96 with Pulseaudio, too.
Please fix this bug!

nmsrnm1 (nmsrnm1) wrote :

This bug makes a sound-card totally unusable on standard installations, affects at least 57 confirmed people and has been reported since more than 3 years ago.
How is it possible it has LOW priority???

Asmo Koskinen (asmok) wrote :

Natty Alternate AMD64 Alpha 3 installation - I needed as usual fix #30...

Please do something...

(This is going just like very ridiculous Java 64-bit plug-in bug... "2115 days since submit date, and counting..."

http://bugs.sun.com/view_bug.do?bug_id=4802695)

Best Regards Asmo Koskinen.

David Henningsson (diwic) wrote :

Ok, I have now read up a little on this issue, looked a little in kernel, alsa-lib, and pulseaudio code.

It seems to me the basic limitation in the hw or kernel driver, is that the number of channels is fixed to 10 out and 12 in, and the s32le format.

For the channels, I think it's reasonable to expect someone opening front:x to be able to send a 2 channel stream in. Which points us to a modified version of comment #30 as the preferred fix. I'd be positive to commit such a fix into Ubuntu, at least until upstream has agreed on something else. I don't think that will hurt professional audio applications (e g JACK), because they seldom use anything but the hw: interface, which is not affected by changes made in the front: interface.

However, for the s32le restriction, I think pulseaudio already tries all possible formats, so it should be unwise to have that conversion in alsa-lib - better let pulseaudio do the conversions.

An additional problem is that for recording, I've seen both channel 8,9 [1] and 0,1 [2] being used for input. Is the main input channel different between the different ICE1712 cards? I'd be glad if we could sort this out before the commit is made - could you help?

[1] http://article.gmane.org/gmane.linux.alsa.devel/59480

[2] Comment #7 in this thread.

Mike A. Kuznetsov (mike4gg) wrote :

David, plz give more or less exact instructions (e.g. 1. install fresh beta of Ubuntu 2. change this, this and this etc...)
I have this http://www.m-audio.com/products/en_us/Audiophile2496.html card in my desktop machine (but only analog output equipment - 2.0 system) and would glad to help, if you explain how. Thanks.

Yann Hamon (yannh) wrote :

I also use the same card as Mike - David, thanks a lot for your time, a *lot* of people are hoping to see this fixed! Could you tell us how to find out what the main input channel is?
To other subscribers to this bug: if anyone is using a different card with the same chipset, please raise your hand, and specify what model, thanks

David Henningsson (diwic) wrote :

Ok, I have now modified the comment #30 solution a little, and uploaded the result to ppa:diwic/ppa.
Please try the following:

1) Make sure you have a clean Natty (11.04) install without any workarounds installed.
2) Download and install the alsa-lib package from ppa:diwic/ppa (see https://launchpad.net/~diwic/+archive/ppa/+packages )
3) Reboot your computer and test both playback and capture.
4) Tell me - by reporting back into this bug:
 - whether playback and capture worked or not
 - what card you have
 - and include a PulseAudio log ( https://wiki.ubuntu.com/PulseAudio/Log )

Thanks for helping out with resolving this long-standing issue!

David Henningsson (diwic) wrote :

Setting to incomplete while waiting for answer to comment #164

Changed in alsa-lib (Ubuntu):
status: Confirmed → Incomplete
pablomme (pablomme) wrote :

@David: sorry for not testing this earlier - I think the main issue is that you provide natty packages in your ppa, while probably most people affected by this bug are on maverick, or maybe even lucid.

Anyway, I tried your packages on maverick and they work - I simply removed my workaround, added your ppa for natty, updated libasound and lib32asound (which pulled python2.7 as a dependency) via synaptic and rebooted. Results:
- playback (totem) and capture (sound-recorder) work as expected
- I have the M-Audio Delta 1010LT (subsystem_vendor=0x1412, subsystem_device=0xd63b)
- ... sorry, hadn't read this. I'll re-test and attach a pulseaudio log.

To get more people trying this, could you perhaps produce maverick versions of your packages, provided it's not too much work?

Thanks for fixing this.

pablomme (pablomme) wrote :

Pulseaudio log attached.

Mike A. Kuznetsov (mike4gg) wrote :

I have m-audio audiophile 2496 card

I have installed 11.04 alpha3 amd64, then run partial upgrade and all updates, then checked out sound config (bug was here, only "digital" config presets for my card). Then i installed https://launchpad.net/~diwic/+archive/ppa/+files/lib32asound2_1.0.24.1-0ubuntu4%7Ediwicppa_amd64.deb and https://launchpad.net/~diwic/+archive/ppa/+files/libasound2_1.0.24.1-0ubuntu4%7Ediwicppa_amd64.deb. Then i rebooted computer and "Analog" presets appears in sound preferences, but no sound anyway. ("Analog duplex" + "Output source - my 2496 card" ). I'm sorry can not test capture - have no mic. Pulseaudio log in attachment.

David Henningsson (diwic) wrote :

@pablomme, why I want you to test this on Natty is for two reasons:
1) It's easier for me (less administration) to fix something in the upcoming release (Natty) than in stable releases (Lucid, Maverick). In fact, we're about to run out of time for Natty as it starts go into its testing phase with various degrees of freezes... :-/
2) The SRU policy - which controls how things can be updated in stable releases - dictates that the fix should first be verified in the unstable release before considering backporting the fix to a stable release.
Therefore testing on Maverick is not good enough at this point, sorry.

@Mike, thanks for testing. You seem to be suffering from underruns on the client side, which might or might not be related to this issue, let's try to figure out.
Could you please try the following and see and if it helps:
 - Start pulseaudio in the logging mode
 - Make sure no other CPU intensive or audio applications are running at the same time. In particular, make sure gnome-volume-control is not open - and wait 10 seconds after having closed gnome-volume-control before starting the sound test.
 - Go into alsamixer and make sure volume is at 75 - 100%, are there controls labeled "DAC 0" and "DAC 1"? If so make sure they are also turned on.
 - Use this terminal command to test sound: "speaker-test -D pulse -t sine -c 2"
 - Afterwards, please attach the resulting pulseaudio log and in addition, an alsa-info according to https://wiki.ubuntu.com/Audio/AlsaInfo
Thanks!

pablomme (pablomme) wrote :

@david: Ok. I've upgraded to natty and re-tested. Log attached.

On first test I got no sound, but then I installed alsa-tools-gui and used envy24control to increase the volume of the first two channels (basically as you suggest to mike in your previous post), and then it works properly. Ditto for recording.

pablomme (pablomme) wrote :

...and my alsa-info in case you need it.

David Henningsson (diwic) wrote :

pablomme, thanks. I've sent this patch upstream, let's see what they say. http://mailman.alsa-project.org/pipermail/alsa-devel/2011-March/038265.html

David Henningsson (diwic) wrote :

And it's in and committed to alsa-lib both upstream and in Ubuntu. Luke or Daniel, mind uploading alsa-lib when you have a spare moment? Thanks!

Changed in alsa-lib (Ubuntu):
status: Incomplete → Fix Committed
summary: - Pulseaudio fails to initialize ICE17xx chipsets
+ Pulseaudio fails to initialize ICE1712 chipsets
David Henningsson (diwic) wrote :

Due to beta freeze this will likely be uploaded after Beta 1 has been released.

Changed in alsa-lib (Ubuntu):
milestone: none → ubuntu-11.04
nmsrnm1 (nmsrnm1) wrote :

I just tested Beta 1 and the bug is still not fixed there.
I get no sound.

The above proposed fix has not yet been uploaded to natty. I hope to get this uploaded ASAP, however I have some patches incoming for other fixes which I would like to upload all at once if possible. A notification will be added to this bug once the fix has been uploaded.

markus haider (markus.haider) wrote :

I tested the packages in #164 on a fresh natty beta 1 install and I get sound. However, I have one question: What would I have to do, if I want to switch output to channels 3&4 (where I connected headphones). Is this possible with the current bugfix? If not, where would I have to make the changes?

In Ubuntu 10.10, I mad a mapping in via-ice1712.conf which looked like this

[Mapping headphones]
description = headphones
device-strings = hw:%f,0
#channel-map = front-left,front-right,rear-left,rear-right,front-center,lfe,side
-left,side-right,aux0,aux1
channel-map = aux0,aux1,front-left,front-right,aux2,aux3,aux4,aux5,aux6,aux7
direction = output

David Henningsson (diwic) wrote :

> What would I have to do, if I want to switch output to channels 3&4 (where I connected headphones)

Just to gather information, what is the soundcard that allows for this configuration?

> In Ubuntu 10.10, I mad a mapping in via-ice1712.conf which looked like this

It seems to me like that workaround would work equally well in 11.04.

You can also modify /usr/share/alsa/cards/ICE1712.conf to output to both 1&2 and 3&4 simultaneously by inserting ttable entries, should be something like:

 ttable.0.2 1
 ttable.1.3 1

...next to the other ttable entries in the definition you want to modify.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-lib - 1.0.24.1-0ubuntu4

---------------
alsa-lib (1.0.24.1-0ubuntu4) natty; urgency=low

  * lp178442-ICE1712.patch: Makes pulseaudio succeed in opening
    ICE1712 chips such as Maudio 2496 and Delta 1010LT.
    (LP: #178442)
 -- David Henningsson <email address hidden> Mon, 28 Mar 2011 11:01:55 +0200

Changed in alsa-lib (Ubuntu):
status: Fix Committed → Fix Released
markus haider (markus.haider) wrote :

@David Henningsson
> Just to gather information, what is the soundcard that allows for this configuration?
I have a M-Audio Delta 1010lt which has 10 output channels.

markus haider (markus.haider) wrote :

I don't have any problems with this bug anymore on Natty. So I can confirm that this is fixed for me with alsa-lib - 1.0.24.1-0ubuntu4.

@ David Henningsson
Thank you for your tip with the ttable entries. I was not possible to make a mapping through via-ice1712.conf (but perhaps I just did something wrong), but changing /usr/share/alsa/cards/ICE1712.conf works to allow simultanuous output on channels 1-4. Here the relevant section in /usr/share/alsa/cards/ICE1712.conf, where I added the two lines you suggested:
<confdir:pcm/front.conf>

ICE1712.pcm.front.0 {
 @args [ CARD ]
 @args.CARD {
  type string
 }
 type asym
 playback.pcm {
  type route
  ttable.0.0 1
  ttable.1.1 1
  ttable.0.2 1
  ttable.1.3 1

Thanks a lot

Zoran (zoran-juginovic) wrote :
Download full text (3.9 KiB)

Marcus,

Thank you for informing me about the issue, but I must admit I don't
understand it at all and I hope I will succeed to find somebody who could
explain me what I am supposed to do...
:) I suppose this is related to my soundcard Audiphile 2496 and it could be
connected with its driver problem or similar, but, I cannot assume more of
that right now.
Forgive me for beeing honest with you and thank you.

Zoran

2011/5/6 markus haider <email address hidden>

> I don't have any problems with this bug anymore on Natty. So I can
> confirm that this is fixed for me with alsa-lib - 1.0.24.1-0ubuntu4.
>
> @ David Henningsson
> Thank you for your tip with the ttable entries. I was not possible to make
> a mapping through via-ice1712.conf (but perhaps I just did something wrong),
> but changing /usr/share/alsa/cards/ICE1712.conf works to allow simultanuous
> output on channels 1-4. Here the relevant section in
> /usr/share/alsa/cards/ICE1712.conf, where I added the two lines you
> suggested:
> <confdir:pcm/front.conf>
>
> ICE1712.pcm.front.0 {
> @args [ CARD ]
> @args.CARD {
> type string
> }
> type asym
> playback.pcm {
> type route
> ttable.0.0 1
> ttable.1.1 1
> ttable.0.2 1
> ttable.1.3 1
>
> Thanks a lot
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (769066).
> https://bugs.launchpad.net/bugs/178442
>
> Title:
> Pulseaudio fails to initialize ICE1712 chipsets
>
> Status in “alsa-lib” package in Ubuntu:
> Fix Released
> Status in “pulseaudio” package in Ubuntu:
> Confirmed
> Status in “alsa-lib” source package in Lucid:
> Won't Fix
> Status in “pulseaudio” source package in Lucid:
> Triaged
>
> Bug description:
> Binary package hint: pulseaudio
>
> I have a problem that makes pulseaudio unusable for me.
> I noticed the only device listed by pulseaudio is my webcam (as an input
> device obviously), so I tried starting pulseaudio from the command line to
> see what was happening.
> This resulted in:
> "ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find definition
> 'cards.ICE1712.pcm.surround71.0:CARD=0'
> ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer
> returned error: No such file or directory
> ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or
> directory
> ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM surround71:0
> W: alsa-util.c: Device hw:0 doesn't support 2 channels, changed to 10.
> W: alsa-util.c: Device hw:0 doesn't support sample format s16le, changed
> to s32le.
> W: alsa-util.c: Cannot find fallback mixer control "PCM".
> E: module-alsa-sink.c: Failed to create sink object
> E: module.c: Failed to load module "module-alsa-sink" (argument:
> "device_id=0
> sink_name=alsa_output.pci_1412_1712_sound_card_0_alsa_playback_0"):
> initialization failed.ALSA lib confmisc.c:1286:(snd_func_refer) Unable to
> find definition 'cards.ICE1712.pcm.surround71.0:CARD=0'
> ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer
> returned error: No such file or directo...

Read more...

HannesB (hannesb) wrote :

Hello,

the neverending story continues...
just made a fresh install of 11.10.
No Sound with my Terratec EWX 24/96
I had to run the envy mixer (mudita24)
DAC0 and DAC1 were set to 0 by default.
After fixing that it works fine,

BTW suspend is still broken.

David Henningsson (diwic) wrote :

Well, there are several ways we could go about the initial mixer setting. We could initialize DAC0 and DAC1 to be on by default in the ALSA init db, which would be just a quick fix. Better would be if we could rename these devices in the kernel to be labelled "Front", "Surround", "LFE", "Headphone" and so on, so that PulseAudio would use it automatically. That, however, requires that we know the channel alignment for all devices, i e, if DAC2 corresponds to the headphone on one of these devices and the LFE on another, that has to be taken into account.
Some kind of workaround would be to create PulseAudio profiles for this, but it feels like the kernel is the proper place to fix it.

Fixing suspend/resume is trickier, and might require someone with both kernel knowledge and the physical hardware at hand to fix it.

Raymond (superquad-vortex2) wrote :

http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=078a39af886ea3bb590595b973343af77c2837fe

if the thinkpad_acpi card can be ignored by modifying ENV{PULSE_IGNORE}="1" in 90-pulseaudio.rules

this may mean that you can add an entry to ignore your ice1712 card and you can run Jack server with your ice1712

Chris (csumm101) wrote :

This is still an issue with me on ubuntu 13.10 unbelievable

madbiologist (me-again) wrote :

Initial power management support for M-Audio devices will finally be available in the ICE1712 driver in the upcoming upstream 3.15 kernel. The 3.15 kernel will be available at http://kernel.ubuntu.com/~kernel-ppa/mainline/ and instructions on how to install and uninstall it are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.